#include <stdio.h>
#include <utiles.h>
#include <stdlib.h>
#include <ctype.h>
#include "funciones.h"

int main (int argc, const char * argv[]) {
    GlobalRef p = malloc(sizeof(Global));
	char * menu = "1) Ap 2) Af 3)Ep 4)Ef 5)Io 6)Eo 7)Li 8)Va Q) Salir H)Ayuda";
	char opcion;
	NodoRef t = NULL;
	iniciacion(p);
	do {
		printf("%s - ", menu);
		opcion = toupper(getch());
		switch (opcion) {
			case '1': anadirPpio(p); break;
			case '2': anadirFinal(p); break;
			case '3':
				t = eliminarPrincipio(p);
				if(NULL != t){
					printf("\n\nEl nodo eliminado contenía:\n\n");
					escribirPantalla(t);
					free(t);
					t = NULL;
				}
				else {
					printf("\n\n%c",'\x7');
				}
				printf("\n\n");
				break;
			case '4': 
				t = eliminarFinal(p);
				if(NULL != t){
					printf("\n\nEl nodo eliminado contenía:\n\n");
					escribirPantalla(t);
					free(t);
					t = NULL;
				}
				else {
					printf("\n\n%c",'\x7');
				}
				printf("\n\n");
				break;
			case '5': insertarOrdenadoNombre(p); break;
			case '6': t = eliminarOrdenadoNombre(p); 
				if(NULL != t){
					printf("\n\nEl nodo eliminado contenía:\n\n");
					escribirPantalla(t);
					free(t);
					t = NULL;
				}
				else {
					printf("\n\n%c",'\x7');
				}
				printf("\n\n");
				break;
			case '7': listado(p); break;
			case '8': vaciar(p); break;
			case 'Q': printf("\n\nSaliendo...\n\n"); break;
			default: printf("\n\nOpción Incorrecta\n\n"); break;
		}
	} while ('Q' != opcion);
	conclusion(p);
	printf("\n\nTerminación normal del programa.\n\n");
    return 0;
}
