#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <utiles.h>
/*
 Header search paths -> /usr/include/coti/
 Other linker flags -> /usr/include/coti/utiles.o
 */
#define MAXNUMBERS 1000000

int main(int argc, char *argv[])
{
	FILERef fp;
	char nombre_archivo[64] = "NUMB3RS.bin";
	int i;
	int temp, max;
	fp = fopen(nombre_archivo,"w");
	srandom((unsigned)(time(0))); // Esencial para crear distintas secuencias
	fprintf(stderr, "\nEscritura...");
	for(i=0;i<MAXNUMBERS;i++){
		temp = random();
		fwrite(&temp, sizeof(int),1,fp);
	};
	
	fclose(fp);
	fprintf(stderr, "terminada.\nLectura...");
	fp = fopen(nombre_archivo,"r");
	fread(&temp, sizeof(int),1,fp);
	max = temp;
	for(i=1;i<MAXNUMBERS;i++) {
		fread(&temp, sizeof(int), 1, fp);
		if (temp > max)
			max = temp;
	}
	fclose(fp);
	fprintf(stderr, "terminada.\n\n");
	printf("\nEl máximo de estos números es %d\n",
		   max);
	spause();
	return 0;
}
